class GradeParsing{

    private static int getGradeValue(String input) throws GradeValueException{
	int val = Integer.parseInt(input);
	if(!(3 <= val && val <= 5)){
	    throw new GradeValueException("Grades should be between 3 and 5. You entered " + val + "!!");
	}
	return val;
    }

    private static String getGradeName(String input) throws GradeValueException
    {
	int grade = getGradeValue(input);
	switch(grade){
	case 5: return "\"Mycket väl godkänd\"";
	case 4: return "\"Väl godjänd\"";
	default: return "\"Godkänd\"";
	}
    }

    public static void main(String[] args) {
	String errorMsg= "Translates numerical grade\nSyntax: GradeParsing x\nwhere x is a natural number between 3 and 5";
	if(args.length != 1){
	    System.out.println(errorMsg);
	}else{
	    try{
		System.out.println("The grade " + args[0] + " corresponds to " + getGradeName(args[0]));
	    }catch(NumberFormatException e){
		System.out.println(errorMsg);
	    }catch(GradeValueException e){
		System.out.println(e.getMessage());
	    }
	}
    }
}
